unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, OleCtrls, DICOMcm_TLB, ExtCtrls, DICOMpr_TLB, StrUtils;

type
  TForm1 = class(TForm)
    GroupBox2: TGroupBox;
    Label10: TLabel;
    Label3: TLabel;
    PrintSCUHostName: TEdit;
    Label4: TLabel;
    PrintSCUPort: TEdit;
    PrintSCUDICOMFile: TEdit;
    Label5: TLabel;
    Label7: TLabel;
    PrintSCUAET: TEdit;
    Button4: TButton;
    GroupBox3: TGroupBox;
    Label11: TLabel;
    Label12: TLabel;
    Label13: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    EchoSCUHostName: TEdit;
    EchoSCUPort: TEdit;
    EchoSCUCallingAET: TEdit;
    EchoSCUCalledAET: TEdit;
    Button7: TButton;
    DICOMp1: TDICOMp;
    Label1: TLabel;
    cbMediaType: TComboBox;
    cbDisableAdvSetting: TCheckBox;
    Label2: TLabel;
    PrintSCUPDUSize: TEdit;
    Bevel1: TBevel;
    Bevel2: TBevel;
    Label6: TLabel;
    ListBox1: TListBox;
    Button1: TButton;
    Label8: TLabel;
    cbLayout: TComboBox;
    Label9: TLabel;
    PrintSCUCalledAET: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Button7Click(Sender: TObject);
    procedure cbDisableAdvSettingClick(Sender: TObject);
    procedure cbLayoutExit(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  //ÿؼ֤
  DICOMp1.LicenseCode := '123456';
  if DICOMp1.LicenseIsOK then
    Showmessage('лл!עȷ!');

  cbDisableAdvSetting.Checked := False;
  DICOMp1.DisableAdvancedSetting := False;

  PrintSCUDICOMFile.Text:=ExtractFilePath(Application.ExeName) + 'DCM\DCMFILE.DCM';
  ListBox1.Items.Append(ExtractFilePath(Application.ExeName) + 'DCM\CT1.DCM');
  ListBox1.Items.Append(ExtractFilePath(Application.ExeName) + 'DCM\CT2.DCM');
  ListBox1.Items.Append(ExtractFilePath(Application.ExeName) + 'DCM\CT3.DCM');
  ListBox1.Items.Append(ExtractFilePath(Application.ExeName) + 'DCM\CT4.DCM');
  cbMediaType.ItemIndex := 0;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  //PrintSCU(DICOMӡ,ṩDICOMӡ)
  //Trueʱ˵

  //ӡIPַ
  DICOMp1.PrintSCUIP := PrintSCUHostName.Text;
  //ӡ˿
  DICOMp1.PrintSCUPort := StrToInt(PrintSCUPort.Text);
  //ӡAET
  DICOMp1.PrintSCUAETitle := PrintSCUAET.Text;
  //ӡPDUС
  DICOMp1.PrintSCUPDUSize := StrToInt(PrintSCUPDUSize.Text);
  //AET
  DICOMp1.PrintSCUCalledAETitle := PrintSCUCalledAET.Text;

  //ӡ
  DICOMp1.PrintCopies := 1;
  //PrintSCUPrinterMediumType(Ƭ)
  //0=Զ 1=ɽ 2= 4=ֽ
  DICOMp1.PrintSCUPrinterMediumType := cbMediaType.ItemIndex;
  //ôӡʴС(FilmSizeID0..10[0=Default1='8INX10IN'2='10INX12IN'3='10INX14IN'4='11INX14IN'5='14INX14IN'6='14INX17IN'7='24CMX24CM'8='24CMX30CM'])
  DICOMp1.FilmSizeID := 0;

  if DICOMp1.StartPrintSCU(PrintSCUDICOMFile.Text)=True then
    MessageBox(Application.Handle,': DICOMӡͳɹ!','PrintSCU',MB_OK+MB_ICONINFORMATION)
  else
    Showmessage(': DICOMӡʧ!'+chr(13)+chr(13)+'Error Description:'+chr(13)+DICOMp1.DebugString);
end;

procedure TForm1.Button7Click(Sender: TObject);
begin
  if DICOMp1.StartEchoSCU(EchoSCUHostName.Text,StrToInt(EchoSCUPort.Text),EchoSCUCalledAET.Text,EchoSCUCallingAET.Text,16384)=True then
    MessageBox(Application.Handle,': EchoSCUӵ!','EchoSCU',MB_OK+MB_ICONINFORMATION)
  else
    MessageBox(Application.Handle,': EchoSCU޷ӵ!','EchoSCU',MB_OK+MB_ICONERROR);

end;

procedure TForm1.cbDisableAdvSettingClick(Sender: TObject);
begin
  if cbDisableAdvSetting.Checked then
    DICOMp1.DisableAdvancedSetting := True
  else
    DICOMp1.DisableAdvancedSetting := False;

end;

procedure TForm1.cbLayoutExit(Sender: TObject);
begin
  if Not ((cbLayout.Text='2x2') or (cbLayout.Text='1x3') or (cbLayout.Text='3x1')) then
    cbLayout.Text:='2x2';
end;

procedure TForm1.Button1Click(Sender: TObject);
var
  i : Integer;
begin
  //PrintSCU(DICOMӡ,ṩDICOMӡ)
  //Trueʱ˵

  //ӡIPַ
  DICOMp1.PrintSCUIP := PrintSCUHostName.Text;
  //ӡ˿
  DICOMp1.PrintSCUPort := StrToInt(PrintSCUPort.Text);
  //ӡAET
  DICOMp1.PrintSCUAETitle := PrintSCUAET.Text;
  //ӡPDUС
  DICOMp1.PrintSCUPDUSize := StrToInt(PrintSCUPDUSize.Text);
  //AET
  DICOMp1.PrintSCUCalledAETitle := PrintSCUCalledAET.Text;

  //ӡ
  DICOMp1.PrintCopies := 1;
  //PrintSCUPrinterMediumType(Ƭ)
  //0=Զ 1=ɽ 2=
  DICOMp1.PrintSCUPrinterMediumType := cbMediaType.ItemIndex;
  //ôӡʴС(FilmSizeID0..10[0=Default1='8INX10IN'2='10INX12IN'3='10INX14IN'4='11INX14IN'5='14INX14IN'6='14INX17IN'7='24CMX24CM'8='24CMX30CM'])
  DICOMp1.FilmSizeID := 0;

  //ļӡб
  DICOMp1.PrintListClear;
  //ļļӡб
  for i := 0 to ListBox1.Items.Count - 1 do
  begin
    if FileExists(ListBox1.Items.Strings[i]) then
        DICOMp1.PrintListAppendFile(ListBox1.Items.Strings[i]);
  end;

  if cbLayout.ItemIndex = -1 then
    cbLayout.ItemIndex := 0;
  //ôӡֲ(SetLayOut[Columns,Rows:Integer])
  DICOMp1.SetLayOut(StrToInt(LeftStr(cbLayOut.Text,1)),StrToInt(RightStr(cbLayOut.Text,1)));

  //ӡ(ӡļʱָӡļ)
  if DICOMp1.StartPrintSCU('') = True then
    MessageBox(Application.Handle,': DICOMӡͳɹ!','PrintSCU',MB_OK+MB_ICONINFORMATION)
  else
    Showmessage(': DICOMӡʧ!'+chr(13)+chr(13)+'Error Description:'+chr(13)+DICOMp1.DebugString);
end;

end.
